> ## Documentation Index
> Fetch the complete documentation index at: https://docs.forestreet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Status

> This endpoint gets the status of a market.

### Path

<ParamField path="marketId" type="string" initialValue="2">
  The ID of the market you would like to get the status of.
</ParamField>

### Query Parameters

<ParamField query="startTime" type="string">
  Only include jobs that were started after this time. The time should be UTC, in ISO 8601 format (e.g., `2025-06-02T11:27:29.017Z`).

  Cannot be in the future; if not provided, all jobs will be included.

  This is useful to ensure that any historical anomalies would not be included in the response.
</ParamField>

### Response

Each of the response fields includes an object with the following properties:

<Expandable title="statusObject">
  <ResponseField name="inProgress" type="boolean">
    Indicates whether the job is currently in progress.
  </ResponseField>

  <ResponseField name="pending" type="boolean" optional>
    If the job is not yet registered, this field will be `true`. It indicates that the
    job is pending and has not yet started.
  </ResponseField>

  <ResponseField name="endTime" type="string" optional>
    The time when the job was completed, in ISO 8601 format (e.g., `2025-06-02T11:27:29.017Z`).
    This field is only present if the job has completed.
  </ResponseField>

  <ResponseField name="disabled" type="boolean" optional>
    Indicates whether the job is disabled. If `true`, the job will not run.
    This field is only present if the job is disabled; if not present, the job is enabled.
  </ResponseField>
</Expandable>

<ResponseField name="discover" type="object">
  The status of initial companies discovery.
</ResponseField>

<ResponseField name="companies" type="object">
  The status of companies metadata enquiry.
</ResponseField>

<ResponseField name="momentum" type="object">
  The status of momentum analysis.
</ResponseField>

<ResponseField name="topics" type="object">
  The status of topics extractions and competitors analysis.
</ResponseField>

<ResponseField name="overall" type="object">
  The overall status of the discovery.
</ResponseField>

<ResponseExample>
  ```json Response theme={null}
  {
    "discover": {
        "inProgress": false,
        "endTime": "2025-06-02T11:27:29.017Z"
    },
    "companies": {
        "inProgress": false,
        "endTime": "2025-06-02T12:36:56.955Z"
    },
    "news": {
        "inProgress": false,
        "disabled": true
    },
    "esg": {
        "inProgress": false,
        "disabled": true
    },
    "momentum": {
        "inProgress": true
    },
    "topics": {
        "inProgress": true
    },
    "overall": {
        "inProgress": true,
        "status": "inProgress"
    }
  }
  ```
</ResponseExample>
